Bug 522904 - KMS:RS480:X200M suspend/resume GPU lockup
Summary: KMS:RS480:X200M suspend/resume GPU lockup
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 14
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Dave Airlie
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-12 03:36 UTC by Tomasz Chrzczonowicz
Modified: 2018-04-11 10:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 21:44:22 UTC


Attachments (Terms of Use)
/var/log/dmesg (33.64 KB, text/plain)
2009-11-24 21:12 UTC, Tomasz Chrzczonowicz
no flags Details
/var/log/Xorg.0.log (179.16 KB, text/plain)
2009-11-24 21:15 UTC, Tomasz Chrzczonowicz
no flags Details

Description Tomasz Chrzczonowicz 2009-09-12 03:36:22 UTC
Description of problem:

when I suspend a computer with Radeon X200 M:

1. With KMS enabled: hangs when suspending
2. without KMS: suspends, but hangs when restoring

Version-Release number of selected component (if applicable):

xorg-x11-drv-ati-6.13.0-0.3.20090908git651fe5a47.fc12.i686
kernel-2.6.31-0.219.rc9.git2.fc12.i686

How reproducible:

Used a LiveUSB from Radeon Test Day iso (2009-09-09). 

Additional info:

Smolt profile:
http://www.smolts.org/client/show/pub_3f24cff0-f608-41f9-a4a2-f7f7efc1889c

Card:

01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RC410 [Radeon Xpress 200M] [1002:5a62]

Comment 1 Adam Williamson 2009-09-17 00:56:07 UTC
probably the same as 522393 or 522070...

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 2 Tomasz Chrzczonowicz 2009-09-18 05:13:22 UTC
My screen doesn't flash, so not likely to be 522393

Also, it doesn't restore properly, so not likely to be 522070

Comment 3 Tomasz Chrzczonowicz 2009-09-18 05:21:19 UTC
Can I set this bug to blocker?

Comment 4 Adam Williamson 2009-09-18 18:41:46 UTC
Not really. We wouldn't hold the release for a suspend failure, I'm afraid. we're not near 100% success rate for suspend/resume :/

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Jérôme Glisse 2009-09-30 17:38:32 UTC
This is a know bug, i have the same issue on my x200, the hang happen in GPU post function while reprogramming the GPU clock. I haven't yet found how to make it works i need to spy the video bios.

Comment 6 Matěj Cepl 2009-10-12 16:35:31 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available), /var/log/dmesg, and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.

Comment 7 Jérôme Glisse 2009-11-03 19:48:21 UTC
This should work now with lastest fedora kernel (112 or newer). Please test and report back.

Comment 8 Matěj Cepl 2009-11-05 17:16:14 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 9 Jérôme Glisse 2009-11-10 20:48:47 UTC
I believe this bug is now fixed, so closing it, reopen if you experience this issue with newer kernel like -127

Comment 10 Tomasz Chrzczonowicz 2009-11-24 20:57:14 UTC
I checked it with -127 in F12 stable and it still hangs when restoring from suspend. KMS is disabled.

Comment 11 Tomasz Chrzczonowicz 2009-11-24 21:12:24 UTC
Created attachment 373538 [details]
/var/log/dmesg

Comment 12 Tomasz Chrzczonowicz 2009-11-24 21:15:38 UTC
Created attachment 373542 [details]
/var/log/Xorg.0.log

Comment 13 Tomasz Chrzczonowicz 2009-11-24 21:18:16 UTC
Also, after an unsuccessful restore from suspend, the laptop won't boot-up properly on power-cycling (display doesn't turn on, nothing seems to happen), unless I unplug it from the wall...

Comment 14 Adam Williamson 2009-11-25 19:03:33 UTC
tomek: have you checked with KMS enabled?

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 15 Jérôme Glisse 2009-11-26 15:14:06 UTC
Please test with KMS we are focusing on KMS issues.

Comment 16 Tomasz Chrzczonowicz 2009-11-27 19:21:22 UTC
How do I force enable KMS in F12 to test this?

It seems to be disabled by default now, even though it wasn't before. (maybe because of bug 498457).

Comment 17 Adam Williamson 2009-11-27 20:04:52 UTC
oh, yeah, probably. but you can test with:

radeon.modeset=1

if that leads to the _other_ bug, please let us know, so we can prioritize appropriately. thanks!

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 18 Tomasz Chrzczonowicz 2009-11-28 12:03:38 UTC
It now suspends with KMS but hangs when restoring, just like when KMS is disabled.

And yes, KMS hangs the system soon after GDM is started (it can be before, during or slightly after logging in).

Comment 19 Adam Williamson 2009-12-01 19:57:39 UTC
OK, thanks.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 20 Jérôme Glisse 2010-01-13 17:07:32 UTC
Anymore luck after updating fedora 12 to all the lastest package and with kernel from :

http://koji.fedoraproject.org/koji/buildinfo?buildID=150696

Comment 21 Matěj Cepl 2010-02-26 12:21:24 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 22 Tommy He 2010-09-24 03:02:44 UTC
Similar problem was noticed on an Compaq Laptop with X200M:
http://www.smolts.org/client/show/?uuid=pub_06467131-6181-47eb-9fb6-c1c397da53b2

ATI driver with KMS enabled:
kernel-2.6.35.4-28.fc14.i686
xorg-x11-server-Xorg-1.9.0-9.fc14.i686
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.i686

The laptop hangs when resuming from suspend. The harddisk and power LEDs keep on (not blinking). No mouse nor keyboard input is accepted. Screen is completely black,too.

Comment 23 Bug Zapper 2010-11-04 10:04:39 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 24 Tommy He 2010-11-09 09:02:36 UTC
The problem persists on Fedora 14, too.

May someone change the affected version number to 14, please?

Comment 25 Fedora End Of Life 2012-08-16 21:44:24 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.